Hi,
I need a lisp code to convert all Lines, Polylines, Arcs and Splines to Polylines with 0.4 width.
I prepare this:
(defun c:CH2pl ( / SS) ;changes all lines, plines, arcs and splines to POLYLINE with 0.4 width (if (setq SS (ssget "_X" '((0 . "LINE")))) (command "_.pedit" "m" SS "" "Y" "w" 0.4 "")) (if (setq SS (ssget "_X" '((0 . "*POLYLINE")))) (command "_.pedit" "m" SS "" "w" 0.4 "")) (if (setq SS (ssget "_X" '((0 . "ARC")))) (command "_.pedit" "m" SS "" "Y" "w" 0.4 "")) (if (setq SS (ssget "_X" '((0 . "SPLINE")))) (command "_.pedit" "m" SS "" "Y" 10 "w" 0.4 "")) )
But I want pure lisp code in a professional way!
does anybody has any idea?
Thanks,
Abbas